NXOpen .NET Reference  12.0.0
NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder Member List

This is the complete list of members for NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder, including all inherited members.

AddAnnotationOfBracket(bool createBracketSymbol, NXOpen.Drawings.DraftingBody draftingbody)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddAnnotationOfEndCuts(bool createEndCutsSymbol, NXOpen.Drawings.DraftingBody draftingBody)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddAnnotationOfExpansionPlate(NXOpen.Drawings.DraftingView tgView, NXOpen.NXObject shipStructure, bool createScantlingAnnotation)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddAnnotationOfExpansionStiffenerEndCuts(NXOpen.Drawings.DraftingView tgView, NXOpen.NXObject shipStructure, bool createEndCutsSymbol)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddAnnotationOfExpansionStiffenerSturctureIdAndScantling(NXOpen.Drawings.DraftingView tgView, NXOpen.NXObject shipStructure, bool createIDAnnotation, bool createScantlingAnnotation)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddAnnotationOfOpeningFillingLine(bool createOpeningFillingLine, NXOpen.Drawings.DraftingBody draftingbody)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddAnnotationOfSeamForDetailDesign(bool createSeamSymbol, NXOpen.Drawings.DraftingView tgView, NXOpen.Drawings.DraftingBody[] objects, NXOpen.Drawings.DraftingBody selectedObjecty)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddAnnotationOfStructureIdAndScantling(bool createIDAnnotation, bool createScantlingAnnotation, NXOpen.Drawings.DraftingBody draftingBody)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddFillingLineByChain(NXOpen.Drawings.DraftingCurve[] curves, bool createChainAnnotation)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddFillingLineByPoints(NXOpen.Point spiderPoint, NXOpen.Point strikingPoint)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
AddFillingLinesByModelBody(NXOpen.Drawings.DraftingBody draftingbody, NXOpen.Drawings.DraftingCurve[] curves)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
Commit()NXOpen.Builder
CreateTable()NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
DeleteExistingAnnotations()NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
DeleteLines(NXOpen.Drawings.DraftingCurve[] curves)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
DeleteOpeningFillingLine(NXOpen.Line line)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
Destroy()NXOpen.Builder
GetCommittedObjects()NXOpen.Builder
GetObject()NXOpen.Builder
GetTableIndex()NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
HandleAnnotationForBasicDesign(bool createIDAnnotation, bool createScantlingAnnotation, bool createEndCutsAnnotation, NXOpen.Drawings.DraftingCurve draftingVDCurve, NXOpen.NXObject shipEntity, NXOpen.Drawings.DraftingView view)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
HandleSeamForNonSectionedPlateForBasicDesign(bool createSeamSymbol, NXOpen.Drawings.DraftingCurve draftingVDCurve, NXOpen.NXObject tgCurve)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
HandleSeamForSectionedPlateForBasicDesign(bool createSeamSymbol, NXOpen.Drawings.DraftingBody tgDraftingBody, NXOpen.Drawings.DraftingCurve[] objects, NXOpen.Drawings.DraftingCurve selectedObject)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
ModifyFillingLineByPoints(NXOpen.Point spiderPoint, NXOpen.Point strikingPoint, NXOpen.Line line)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
SetPosition(double[] pos)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
SetTableIndex(int inx)NXOpen.Features.ShipDesign.InteractiveAnnotationBuilder
ShowResults()NXOpen.Builder
Validate()NXOpen.Builder
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.